const items = require('./items.json')
const Warframe = require('./Warframe')
// const Primary = require('./Primary')
// const Secondary = require('./Secondary')
const Companion = require('./Companion')
const Archwings = require('./Archwings')

const result = []

items.warframes.forEach((name) => {
  result.push(new Warframe(name))
})

// items.primaries.forEach((name) => {
//   result.push(new Primary(name))
// })

items.companions.forEach((name) => {
  result.push(new Companion(name))
})

items.archwings.forEach((name) => {
  result.push(new Archwings(name))
})

module.exports = result
